# Generated by Django 3.1.6 on 2021-03-19 17:14

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('doi', models.CharField(default='unknown', max_length=32, primary_key=True, serialize=False, unique=True)),
                ('title', models.TextField()),
                ('url', models.URLField()),
                ('license', models.URLField(blank=True, null=True)),
                ('open', models.BooleanField(blank=True, null=True)),
                ('authors', models.CharField(max_length=250, null=True)),
                ('abstract', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Figure',
            fields=[
                ('figure_id', models.CharField(default='unknown', max_length=40, primary_key=True, serialize=False, unique=True)),
                ('caption', models.TextField(blank=True, null=True)),
                ('caption_delimiter', models.CharField(blank=True, max_length=12, null=True)),
                ('url', models.URLField()),
                ('path', models.FilePathField(path='/home/trevor/Documents/argonne/exsclaim')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='results.article')),
            ],
        ),
        migrations.CreateModel(
            name='ScaleBar',
            fields=[
                ('scale_bar_id', models.CharField(default='unknown', max_length=48, primary_key=True, serialize=False, unique=True)),
                ('x1', models.IntegerField(null=True)),
                ('y1', models.IntegerField(null=True)),
                ('x2', models.IntegerField(null=True)),
                ('y2', models.IntegerField(null=True)),
                ('length', models.CharField(blank=True, max_length=8, null=True)),
                ('line_label_distance', models.IntegerField(blank=True, null=True)),
                ('confidence', models.FloatField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Subfigure',
            fields=[
                ('subfigure_id', models.CharField(default='unknown', max_length=44, primary_key=True, serialize=False, unique=True)),
                ('classification', models.CharField(choices=[('MC', 'microscopy'), ('DF', 'diffraction'), ('GR', 'graph'), ('PH', 'basic_photo'), ('IL', 'illustration'), ('UN', 'unclear'), ('PT', 'parent')], max_length=2)),
                ('height', models.FloatField()),
                ('width', models.FloatField()),
                ('nm_height', models.FloatField(blank=True, null=True)),
                ('nm_width', models.FloatField(blank=True, null=True)),
                ('x1', models.IntegerField(null=True)),
                ('y1', models.IntegerField(null=True)),
                ('x2', models.IntegerField(null=True)),
                ('y2', models.IntegerField(null=True)),
                ('caption', models.TextField(blank=True, null=True)),
                ('keywords', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=20), blank=True, null=True, size=None)),
                ('general', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=20), blank=True, null=True, size=None)),
                ('figure', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='results.figure')),
            ],
        ),
        migrations.CreateModel(
            name='SubfigureLabel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=15)),
                ('x1', models.IntegerField(null=True)),
                ('y1', models.IntegerField(null=True)),
                ('x2', models.IntegerField(null=True)),
                ('y2', models.IntegerField(null=True)),
                ('label_confidence', models.FloatField(blank=True, null=True)),
                ('box_confidence', models.FloatField(blank=True, null=True)),
                ('subfigure', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='results.subfigure')),
            ],
        ),
        migrations.CreateModel(
            name='ScaleBarLabel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=15)),
                ('x1', models.IntegerField(null=True)),
                ('y1', models.IntegerField(null=True)),
                ('x2', models.IntegerField(null=True)),
                ('y2', models.IntegerField(null=True)),
                ('label_confidence', models.FloatField(blank=True, null=True)),
                ('box_confidence', models.FloatField(blank=True, null=True)),
                ('nm', models.FloatField(blank=True, null=True)),
                ('scale_bar', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='results.scalebar')),
            ],
        ),
        migrations.AddField(
            model_name='scalebar',
            name='subfigure',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='results.subfigure'),
        ),
    ]
